Ubuntu

Maverick ubiquity lacks option to change computer name

Reported by Erick Brunzell on 2010-09-01
224
This bug affects 39 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Low
Unassigned
Nominated for Maverick by Nicholas Christian Langkjær Ipsen

Bug Description

Binary package hint: ubiquity

I'm using the pre-Beta i386 iso-test image w/ubiquity version 2.3.12 and I notice that there is no option to choose a "computer name" other than "username-desktop".

While I personally consider this very low priority it has been discussed at the forums and I wonder if it deserves a brief mention in the release notes along with a link to the proper documentation for changing the "computer name" post-install?

I do understand how it can be desirable to use different "computer-names" for simple home networking. Hardly a show stopper but I thought it was worth mentioning :^)

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: ubiquity 2.3.12
ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
Uname: Linux 2.6.35-19-generic i686
Architecture: i386
Date: Wed Sep 1 08:36:17 2010
LiveMediaBuild: Ubuntu 10.10 "Maverick Meerkat" - Beta i386 (20100901)
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: ubiquity

Related branches

lp:ubiquity
Adolfo Jayme (community): Disapprove on 2014-04-02
Ondrej Pačay: Pending requested 2013-12-11
Erick Brunzell (lbsolost) wrote :
tags: added: iso-testing
Colin Watson (cjwatson) wrote :

I believe this was intentionally removed as part of the installer redesign, but design work may be open to re-evaluation in light of user feedback, so this bug might as well remain open ...

Changed in ubiquity (Ubuntu):
importance: Undecided → Low
status: New → Confirmed
Tom Pino (metalsmith-rangeweb) wrote :

This is also a problem for amd64.

I would hope that this remains open. This is a security risk. Nothing like just having you user name listed for folks that might need it.

If this is a feature instead of a bug it is a really stupid feature.

Erick Brunzell (lbsolost) wrote :

I fail to see how this presents a security risk, in fact I think that argument could be reversed.

Regardless lets keep this civil. Words like "stupid" are not particularly useful and only tend to inflame emotions rather than resolve anything.

seeker5528 (seeker5528) wrote :

For the typical home use situation, having the user name as the host name doesn't really seem like much of a security risk, in a corporate situation I would be more inclined to think about the security implications.

Duplicate hostnames on the network seems like a much bigger issue.

The best solution to me would be to have a single page where as you type in your desired user name in the username box, also have an editable hostname box that has a random segment that gets generated when the page comes up and a username segment that is filled as the user types their desired username so you end up with a 'username-XXXXXXXX' type hostname by default.

If the user doesn't care about or is happy with the default hostname they could then just hit next, if they want to change it they click on or tab to the hostname box, put in their desired hostname and hit next. No muss, no fuss.

Erick Brunzell (lbsolost) wrote :

I'd keep it very simple.

Since the ability to rename a computer changed after Hardy or Intrepid, where you could just use a gui, I'd simply create an official Ubuntu document describing how to properly do so. I'd probably link to it in the Release Notes.

I dare anyone to google the solution now. You'll find many "wrong" procedures, and I'm not so sure I know the correct procedure :^)

Where we fail to keep things simple we fail altogether.

David Guest (david-guest) wrote :

I agree with seeker5528 that duplicate network names could well be an issue. I've got quite a lot of machines to upgrade and having to do this manually, whilst very simple, is something I'd like to avoid. An "Advanced" tab or similar that includes the ability to change the hostname at install is really quite important to me.

Bowmore (bowmore) wrote :

I agree on simplicity here but that does not exclude ubiquity from providing advanced options as well in a tab or behind a button.

jyio (inportb) wrote :

I'd love to see an advanced configuration option that allows hostname selection, because there's nothing like descriptive names on the network. I could easily imagine having three or four username-desktop machines on my network, which would be really confusing.

Another option would be to launch the advanced configuration utility post-install during the first boot. It'd be an extra step and I wouldn't like it very much, but I'm just throwin' the idea out there.

Oliver Grawert (ogra) wrote :

i disagree that this is an advanced task at all.
if i let my (completely computer illiterate) 73 year old mother do an install i observe, she has a lot less probs to understand that she has to give her computer a name than getting the concept of the difference between real name and login ...

Alan Briolat (alan-codescape) wrote :

Having to change the hostname post-install is made more awkward by the fact that it's not just one place it needs to be changed. At the very least you need to change it in /etc/hosts and /etc/hostname, but also some programs (I think postfix is one that springs to mind, but there might be others less server-oriented) like to make copies of whatever the hostname is at the time of installation, making it much more likely to have an inconsistent setup.

Having multiple computers with the same name certainly has opportunities to be a real pain, especially when casually sharing files between computers on a network ("which alan-desktop do I click on?"). And while I understand wanting to make the install process easy and streamlined, I think Lucid had it just right - set a default, but allow it to be changed right there and then. Hide it behind something if necessary, but don't remove it.

I think this should be higher priority than it is. It's a trivial UI change (if it's time that's the problem, I know I'd be happy to write a patch), and more importantly the consequence of not fixing it is frustrating installs for anybody who might slightly care about this setting for 6 months. It's fine to say it'll be fixed in the next release, but that doesn't help for the half a year in the meantime!

Calcipher (calcipher) wrote :

I doubt that adding more use cases to this thread will matter much, but I must mention that this bug coupled with the inability to easily change host names creates problems for those of us attempting to use Ubuntu in a more corporate environment. We set up Ubuntu to authenticate against our Active Directory systems and it has been standard procedures to make the default user the same across all installs (and later wipe it out when AD is up and running). This means that all of these machines will have the same name on the network which makes managing them complicated.
I have no problem with this being pushed to some 'Advanced' tab, but I believe this bug needs to be bumped up from a 'low' importance and would very much appreciate having it addressed before 11.04.

Erick Brunzell (lbsolost) wrote :

"I doubt that adding more use cases to this thread will matter much"

Much to the contrary we need all the feedback we can get.

I'd also be much more comfortable if this were assigned to someone :^)

Evan ...... Colin ..... ?

Help me out here, please.

I'll jump through any hoops requested ;^)

Mark Shuttleworth (sabdfl) wrote :

I think there are two separate issues:

 1. we need an effective way to rename a machine post-install.
 2. we need to take a view on how important it is to expose the name during install, and how visible to make the option to change it.

If name conflicts are a problem, then [1] is just as important as [2], since we can't put all our eggs in the basket of "getting it right at install time".

I'm subscribing Michael Forrest, who's the designer responsible, for comment on the rationale for having dropped it.

Mark

Erick Brunzell (lbsolost) wrote :

Thank you Mark. I couldn't agree more.

Somewhere around Intrepid or Jaunty we dropped the gui to allow for changing that.

While it doesn't effect me personally doesn't make it any less serious, and after "googling" quite a bit there is no "one correct way" to accomplish this. Since it doesn't actually effect me I hadn't thought about it much but using the wrong method could even result in a security issue I suppose.

You brought a smile to my face today :^)

David Guest (david-guest) wrote :

I'd never really thought about your first point Mark, but I agree, it would be nice to have an applet to shield users from the command line for something as simple as a hostname change.

As for the second, I think it's important that it be exposed in the installer, even if it gets hidden behind an Advanced tab. It could be an auto-populated field in the current form (eg user-desktop) with a label that informs users that most people do not need to change this, but may need to if they have multiple machines on their network.

I hope this can be changed in time for the 10.10 release - happy to help wherever needed!

Calcipher (calcipher) wrote :

Thanks for the response Mark, this will make running things in our corporate environment much easier.

 On 06/09/10 22:41, David Guest wrote:
> I'd never really thought about your first point Mark, but I agree, it
> would be nice to have an applet to shield users from the command line
> for something as simple as a hostname change.

Indeed. I think it belongs in one of the system settings, so I've cc'd
MPT for comment. MPT, background is in the bug.

> As for the second, I think it's important that it be exposed in the
> installer, even if it gets hidden behind an Advanced tab. It could be an
> auto-populated field in the current form (eg user-desktop) with a label
> that informs users that most people do not need to change this, but may
> need to if they have multiple machines on their network.
>
> I hope this can be changed in time for the 10.10 release - happy to help
> wherever needed!

It may not be possible to add this UI to the 10.10 installer this late
in the cycle. Evan would be able to comment. I'm not sure if there *is*
an "advanced" tab at the moment, and I wouldn't want to add one just for
this. If the conflicting-names issue is critical, we could resolve that
by changing the algorithm of the name allocation using a
most-likely-unique disambiguating suffix, like the network mac address
minor bytes, or falling back to date, so you get a computer called:

  john-desktop-a0b3 or
  john-desktop-0912 (if you installed on the 12th september)

Mark

Evan Dandrea (ev) wrote :

I'll let Michael or someone from the design team speak on why this should not be exposed in the user interface. That said, with guidance from the design team, we've taken great pains to remove dialogs, especially the advanced dialog, from the installer. If we are to at some point add the hostname input box back, I'd prefer it stay on the user setup page.

So everyone is clear on the current behavior, instead of asking for a hostname, the installer automatically generates one. It does this by taking the username, removing any non-alphanumeric character from it, and appending "-laptop" or "-desktop", depending on the output of laptop-detect.

Advanced users can still set their own hostname by putting netcfg/get_hostname=ubuntupad on the live CD's kernel command line. To do this, press a key when you see the "keyboard = accessibility options" image, then select a language, press F6, followed by escape.

Ward Muylaert (ward-muylaert) wrote :

I use my own specific naming convention on my home network, having to be forced into googling what command line options I have to throw in just to allow those names simply degrades the user experience for anyone going a bit more "advanced".

I would rather see this being editable during setup. You can have it autopopulate as the user types in a username, but still allow for someone to edit it right there (wasn't this how it used to be?).
eg: I type in "ward" as username and the computer name becomes "ward-desktop" as I type, but if I feel like changing that then it's just a matter of editing the box.
Using command line juggling for something as straightforward as this seems like overkill.

Vish (vish) wrote :

*If* we are thinking about getting a sensible naming scheme for the hostname , bug 486050 [ "Default computer name confusing" ]
Can also be knocked out at the same time.

Calcipher (calcipher) wrote :

I understand Mark's solution of adding the MAC address (or something) on as a suffix to the machine name to prevent name collisions, but I think that it would add yet more clutter to the machine name. As it stands now, a long username with "-desktop" is already too much text when using the command line (e.g. "reallylongusername@reallylongusername-desktop:~$"); for screen with low screen real estate or for long path names the default command line naming is a bit much.

I agree with Ward that the old behavior of auto populating the machine name was a good idea (though I'm not sure, as Vish points out, that the username-desktop convention is the right one). I don't think machine name is that complicated to most people and, while I'm perfectly willing to google the procedure Evan proposed, few, I'd bet, would be willing to do that (or would even know to do it).

Mark Shuttleworth (sabdfl) wrote :

Choosing a custom host name is right on the threshold of "necessary",
afaics. At this stage I'm supportive of the current approach of making
it a live-CD boot parameter as long as that's well documented. We're
definitely not going to add it to the questions we expose to every user,
nor are we going toadd an "Advanced" GUI just for this use case.

Mark

 @Mark

I'm going to lobby for putting the user first. And, to do so we can
possibly lift (and improve) a page from the "Fruit Sellers In Cupertino"
(FSIC) on this one:

"Please type a name your computer." It's a simple question and gives the
user a sense of being in control. (They are already typing their own
name anyways. One more box isn't torture.) It also adds a touch of
personality to their computer and fun to the whole experience of
installing. IMHO this is a better approach than silently choosing a name
on the user's behalf that they will be stuck with later, or forcing them
into a "clean up task" after install.

If naming one's computer something fun isn't seen as an appropriate
install task, then providing an obvious GUI to change it from System:
Preferences ought to be our compromise. Something like an "About this
computer" app would do nicely.

David Guest (david-guest) wrote :

I tried putting in the string that Evan suggested but it didn't work for me - perhaps I was adding it in the wrong place... Any suggestions on that? Does it have to be in particular place?

Either way, this seems overly complicated just to be able to choose a hostname at install time. This is something that's likely to hurt people that have multiple machines more than those than operate just one - as people with multi-machine networks are in more need to easily set hostnames. I like the idea of an auto-populating field that I can change - and certainly appreciate that creating an "Advanced" GUI just for this is not the right route. Worst case for me is that the field is not included and I end up having to use the Alternative install CD, but the partition tool in that is a lot less friendly especially when, like me, you've got separate partitions for /home and swap.

Am Dienstag, den 07.09.2010, 14:40 +0000 schrieb Mark Shuttleworth:
> Choosing a custom host name is right on the threshold of "necessary",
> afaics. At this stage I'm supportive of the current approach of making
> it a live-CD boot parameter as long as that's well documented. We're
> definitely not going to add it to the questions we expose to every user,
> nor are we going toadd an "Advanced" GUI just for this use case.
>
> Mark
>
note that we ship avahi by default, if you install say five computers
with the same main user all your systems at home are called
<user>-desktop/laptop by default now.
imho as long as we do not offer any way to changing the hostname in a
userfriendly way (without having to edit /etc/hosts and /etc/hostname)
that gets very annoying for people having more than one Ubuntu machine
at home.
i would rather propose to keep the option during maverick abd during
natty add an entry in one one of the system tools to easily change the
system name of an installed system and drop the installer option by
then.

ciao
 oli

pinzia (pinzia) wrote :

+1 for Oliver's idea

Don't forget then THE MEME for "hostname of linux-box" on planet.*

A other choice is use of http://computernamer.com/ ;-)

bye

Calcipher (calcipher) wrote :

Though I'd love to have the installer always ask for hostname, Oliver's solution would be a good compromise situation for me and my shop.

Erick Brunzell (lbsolost) wrote :

@ Evan Dandrea,

You said, "Advanced users can still set their own hostname by putting netcfg/get_hostname=ubuntupad on the live CD's kernel command line. To do this, press a key when you see the "keyboard = accessibility options" image, then select a language, press F6, followed by escape."

I'd like to try that but before doing so I'd like to know what logs/files to include if it should fail.

I'm not even sure at what point past that to look for the option to edit computer-name/hostname.

I'm just an end user that's been iso-testing for about 2 1/2 years, but I take this seriously. If I can't figure it out who can?

My goal is to make everyone's first Ubuntu experience as great as mine was with a 4 month old Gutsy :^)

David Guest (david-guest) wrote :

I'd like to know the rationale behind the removal of hostname choice in the installer - particularly when there is no easy way to change it post-install. Are we against people choosing their own name for the computer altogether?

 +1 on Randall's suggestion.

Ivanka Majic (ivanka) wrote :

The specification for the installer that was used at UDS can be found here: http://docs.google.com/View?id=dfkkjjcj_101gnkrpg5v

The spec describes the first Objective of the installer as: Make installation process quick with an engaging hand-off to the desktop.

It goes on to describe the Problem Definition as: The Ubuntu Live CD is the first experience many new users will have of Ubuntu. The installation experience should be attractive and effortless to reassure new users that Ubuntu is the right choice. The process should feel safe and should only highlight risk when necessary (e.g. when data will be destroyed).

The document goes on to list 3 types of user to consider:
1. Users with no prior knowledge of Ubuntu or understanding of the nature of an operating system
2. Users who already know they want to install Ubuntu
3. Expert Ubuntu users who have very specific configuration requirements

In this context we can discuss this bug in 2 ways:

a) Is the design intent the right choice for us?

b) Given that the design intent has been agreed through an accepted process what do we do about the use-case presented?

I propose that a discussion around a) should be left for UDS (or similar decision making forum) as design intent is often a complex decision inviting technical, user and strategic goals to be represented and cannot be adequately explored in this forum. Design intent is not a bug.

Which brings us to the use-case represented.

Looking at the design of the installer, it is very much geared around this new user of Ubuntu. "Welcome", "Where are you?" , "About you"; the slideshow elements are all things that You can do.

If we add another field (and I do like Randall's wording) we would have to add another step on the 'About you' page? In fact, it could be argued that the name of my computer doesn't belong on a page About Me in which case we would be adding complete extra page. This might not be a big deal but our intent has been described as creating an "Quick, Attractive and Effortless" install and I believe that we owe it to ourselves to fight the urge to add steps. Do we want to do that?

Providing an auto-generated bit of the name (as per Mark's suggestion) would just add an element of uniqueness that might be helpful if, let's say, someone installed an Ubuntu box somewhere where there were lots of Ubuntu machines and then they could share music and see how lovely it is to be part of ubuntu-land, it would also mean that if you were installing Ubuntu on a lot of machines you wouldn't end up with any repeated names on your network.

Now to the fact that there is no way to change the name of the machine. If that is a use-case we need to support, let's design and make the best way to do that.

Oliver Grawert (ogra) wrote :

> Now to the fact that there is no way to change the name of the machine.
> If that is a use-case we need to support, let's design and make the best
> way to do that.
>
this is only needed indeed if all computers you install in a network end
up with the same name assigned automatically.
if there is a way of distinctively being able to point to a machine by
name (and if the user *knows* this name) we do not need any UI to change
it imho (we didn't need it in the past, why should we now).

the important fact i tried to point out above with my avahi comment is
that we provide many applications that are network accessible by
computer name through their <name>.local address, it is a feature we
promote and which is documented in plenty of places.
on an enduser level rhythmbox shares its music based on that, ubuntuone
uses the name to identify machines for file sharing to just name two of
many examples ... on a developer level people use the avahi protocol for
logging in to the machines through ssh

... with the currently existing solution we:

a) set the names of all machines in a network if installed by the same
user to the exact same value

... and what is way worse ...

b) we do not tell the user the name of the machine at all at any point
of the installation

if we keep the existing behavior we need a way for the user to change
names to make sure she can set the name to something unique in the
network after installation

if we change behavior to use something generated based on MAC adress or
some such we need to at least *tell* the user what the name of the
machine is so it is possible identify the computer in the network after
install.

Mark Shuttleworth (sabdfl) wrote :

Ivanka, to reframe Oliver's comment: we heavily promote the idea that
lots of apps allow easy sharing with <machinename>.local. And all of
those break if you end up with two machines called michael-desktop.local

So, we probably need to do this.

I agree with your assessment that we do not want a whole new page, or
Advanced rathole, for this. We could pre-populate the field using
Michael's preferred algorithm of <user>-desktop|laptop|[netbook]?.

In future we should probably ALSO do an avahi name check to see if
that's going to conflict with something on the current network and
default to a -2 or some other disambiguator accordingly.

Mark

Calcipher (calcipher) wrote :

It seems very much likely that we will wind up with a set of tools to set and change the machine name so it is likely that there is little more needed from me, but I wanted to add another comment.
Ivanka Majic helpfully listed the design goals for the installer. I think the goal of "Make installation process quick with an engaging hand-off to the desktop" is laudable as it is, in fact, the first experience most people will ever have with installing a new OS (as Windows is already installed).
Despite my primary interest being a corporate environment (which, I suppose, puts me in group #3), I feel that it is possible (and important) to say that I also see a compelling reason to keep the ability to rename the machine for both groups #1 and #2. The purpose statement says that the installation process should be "engaging" and I can think of few steps which personalize and encourage buy in more than being able to name something. This is why you name pets and not livestock and, in my opinion, the ability to name your OS will only serve to make the experience less alienating.

jyio (inportb) wrote :

Maybe we could bifurcate the installation process at the outset -- a big button that says "I'm a new user, help me out!" and a barely visible link underneath that says "I'm an advanced user, show me the goods." This way, the default option would give new users the "ooh shiny button, let's click" effect, whereas the Ubuntu veteran would most likely know where to click. The menu could even time out after a few seconds and default to the "shiny" pathway, so new users would never have to make a direct choice -not- to go advanced.

Bowmore (bowmore) wrote :

> Maybe we could bifurcate the installation process at the outset -- a big
> button that says "I'm a new user, help me out!" and a barely visible link
> underneath that says "I'm an advanced user, show me the goods."

That's my thoughs (wish) too, to divide the install process in near future into a simple and an advanced installation. One reason that makes this attractive is that the option "Manual partitioning" is an advanced task and is now part and a choice of the simple (new user) installation. Another is grub. Futurewise, options like proxy, LVM, RAID, etc might be added here too or remain as options only in the Alternate CD.

But I still think it's important to be able to set the computer (host) name independent of type of installation.

David Guest (david-guest) wrote :

@jyio @Bowmore: Mark has been pretty clear that we don't want to go down the route of having an "Advanced" pathway on the Live CD and I'm inclined to agree.

However, it would appear that we generally agree that hostname should be exposed in the installer (for many reasons), and that it should be an auto-populated, user-editable field. You'll have to excuse my naivety here, but how do we take this forward at this point?

Mark Shuttleworth (sabdfl) wrote :

As David said, we prefer to avoid "Advanced" option sets and questions.
They create alternative code paths that are inevitably poorly tested,
and compounded by one another. We are very fortunate to benefit from the
amazing Debian installer on the alternative install CD that provides
very precise control over the install. That's our "Advanced" install :-)

Mark

IanW (launchpad-washuu) wrote :

As the sole user of a multi-PC LAN, I too feel the need to set specific hostnames for each machine.
(so that I don't have to furtle with my router & firewall settings every single time I do a re-install).

Dave Gilbert (ubuntu-treblig) wrote :

I don't see setting the name as advanced, and the old installers filled it in so that people didn't have to think about it.

It's a perfectly normal thing to do during installation and removing it is a serious pain since there is no easy way to change it afterwards. By all means remove it from the installer and then provide a simple way of changing it (I suggest System->Administration->About this Computer as a suitable thing to add to mirror the About Me box).

It's just not too unusual to have lots of people with the same name and hence the same default name, and as soon as you start having ad-hoc networks it all gets horribly confusing.

Please either add an easy way to change it back or put the behaviour back in the installer as per earlier versions.

(I think this is a general case of over-simplification - please don't take it too far!)

Dave

Mark Shuttleworth (sabdfl) wrote :

 On 09/09/10 23:57, Dave Gilbert wrote:
> (I think this is a general case of over-simplification - please don't
> take it too far!)
>

Yes, it's a mistake to go too far, but you don't know how far is too far
till you really push it. I'd rather we erred on the side of
oversimplification, because we have a big chorus of detailed analysis
that will point out the mistakes. There are fewer voices for simplicity
in free software than voices for options / codebaths / buttons / gadgets
/ hacks / gconf settings :)

Mark

Dave Gilbert (ubuntu-treblig) wrote :

Mark,
  Thanks for the reply. Some things to consider I think are, having simplified something what the alternatives are for someone;
 in this case if they want to do it they end up having to edit a critical system config file or two as root.

   So yes, it is a very slight simplification of the installer, but for someone who wants to set the name it's a VAST complication - could you explain to someone who wasn't that computer literate how to set the name? How many broken machines do you think we'll get from people trying but screwing up the edit? How many people are going to think Ubuntu is really hard to use because something simple requires them to edit a text file as root?

  I suggest this is a thing that normal people would *need* to set in a reasonable number of cases (just two network PCs in the house wouldn't be unusual even for a non-geeky setting).

Dave

Evan Dandrea (ev) on 2010-09-10
Changed in ubiquity (Ubuntu):
status: Confirmed → Fix Committed
Jan Claeys (janc) wrote :

Just for the record: one more reason to avoid duplicate hostnames is that some DHCP servers (including ones run by some ISPs) (re-)assign IP addresses based on the hostname a host supplies to it ("hey I know that host, let's re-assign its previous IP"), and that could result in real breakage when multiple computers get assigned the same IP address somehow...

Randy Perkins (randyperkins) wrote :

Hello,
So now I realize my 'bug' is actually a feature and we have comments all the way to the top. very cool.

The installer should have a place to set the host name of the computer. Put it back . Maybe tweak it so its more like a question, " Do you want to name this computer or is " I_dont_care" acceptable to you. When I have to hand edit files to set the host name I am afraid that it is an incomplete change. No I dont want to open a tool after installation to change the hostname. I want it correct the first time.

I appreciate all the work on Ubuntu GNU Linux and am just talking out loud here.

1. The tipping point away from windows for me was that the software was always in competition with each other for resources.
2. The tipping point away from Redhat/Fedora was dependency hell.
3. The tipping point away from Debian was dependency conflicts from the necessary (for me) 3rd party repositories.
4. I am feeling a little unbalanced over the last couple cycles:
      a. xdmcp bug/feature number 408417
      b. "buttons on left" feature. You're telling me that removing the ability to set the host name is so the new user
      'experience should be attractive and effortless to reassure new users that Ubuntu is the right choice.' Then at their
      first attempt to use GNU linux the buttons are on the other side relatively. Yes I've gotten used to the Macification but my
      frustration came back this week when I had to use a WinVista installation, and my brain was on the left side.
      c. this hostname feature.

thanks for your time and consideration

Bowmore (bowmore) wrote :

The fix is already released in Ubiquity version 2.3.18 and said to be included in today's daily build.

Colin Watson (cjwatson) wrote :
Download full text (4.2 KiB)

ubiquity (2.3.18) maverick; urgency=low

  [ Evan Dandrea ]
  * Improve the text on the prepare page, based on input from Matthew
    Paul Thomas, Amanda Brock, and Andrew Sinclair
    (LP: #635269, LP: #635260).
  * Translate latitude and longitude from the Geonames service to its
    respective Olsen timezone database entry.
  * Add back the hostname entry (LP: #628087).
  * Use a block device icon for cases where we cannot detect the
    operating system on a partition.
  * Set the amount of used space on a partition that we presume contains
    no operating system (LP: #626299).
  * Make requiring a password to log in the default again, matching the
    behavior in the previous version of Ubuntu.
  * Use the correct string for the resize partition option.
  * Set the size of the disk on the automatic partitioning page
    (LP: #626299).
  * Use dmidecode to get a more unique suffix for the hostname
    (LP: #628087).
  * Also generate a sample hostname when generating a sample username
    (LP: #634279).
  * Only set the next button to 'Install Now' when not on the first
    partitioning page (LP: #636392).
  * Fix transposed latitude and longitude in geonames lookup.
  * Provide a version parameter to the geoname lookup.
  * Show the number of partitions that will be deleted when in 'use
    entire disk' mode.
  * Remove Pango markup from the debconf templates where possible.
  * Properly set the partition widget description label.
  * Use a GtkMenuBar rather than a GtkMenu as the source of the dark
    styling to match recent changes to the default theme.
  * Properly start a ConsoleKit session (LP: #631538).
  * Fix the spacing on the automatic partitioning page.
    gui/gtk/stepPartAuto.ui
  * Correct layout based on suggestions from Matthew Paul Thomas.
  * Correct layout on keyboard guesser.
  * Run the Jockey backend with an in-memory debconf database, and run
    the frontend asynchronously (LP: #627822).
  * Don't show the GTK frontend until it's done constructing the UI.
  * Show a spinning cursor on the X root window in addition to the
    ubiquity window, so it's clear that the installer is loading the
    next page even when the cursor is off the main window.
  * Make return_to_partitioning work with parallel debconf instances
    (LP: #637706).
  * Added a Windows icon for the resize widget. Thanks Otto Greenslade!
  * Disable the alpha warning, albeit late.
  * Add a command line option to not install a bootloader
    (-b, --no-bootloader) (LP: #615033).
  * Do not show 'free space' partitions in the bootloader target
    combobox (LP: #615033).
  * Meet the Geonames.org CC license requirements by adding 'Geonames.org'
    to the map.
  * Install the restricted package independent of the apt-installed
    packages, since those are installed with just the live CD's
    sources.list (LP: #638073).
  * Disable the wireless plugin for now. It's not ready for release.
  * Make use of the new connectivity check page.
  * Automatic update of included source packages: apt-setup
    1:0.45ubuntu2, hw-detect 1.73ubuntu5.

  [ Mario Limonciello ]
  * Restore the functionality of the noninteractive frontend.
  * Disable GVFS fuse dae...

Read more...

Changed in ubiquity (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers